Do i need to install ActiveState Perl?

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Do i need to install ActiveState Perl?

Postby subinvarghesein » 03. October 2009 07:12


I am using ApacheFriends XAMPP (Basispaket) version 1.6.8 which has the following:

+ Apache 2.2.9
+ MySQL 5.0.67 (Community Server)
+ PHP 5.2.6 + PHP 4.4.9 + PEAR
+ PHP-Switch win32 1.0 (use "php-switch.bat" in the xampp main directory)
+ XAMPP Control Version 2.5 from
+ XAMPP Security 1.0
+ SQLite 2.8.15
+ OpenSSL 0.9.8i
+ phpMyAdmin
+ ADOdb 4.990
+ Mercury Mail Transport System v4.52
+ FileZilla FTP Server 0.9.27
+ Webalizer 2.01-10
+ Zend Optimizer 3.3.0
+ eAccelerator für PHP 5.2.6 (but not activated in the php.ini)

(straight copy-paste from readme file) :)

I need to install Bugzilla in XAMPP. For this they are saying that I need to install ActiveState Perl I can see a perl folder inside the XAMPP root directory and I can run the file inside the cgi-bin using perl.exe. Do I still need to install ActiveState Perl?

I have no idea about perl. I usually use XAMPP for php applications. So please forgive me if this a novice question.

Moreover, to install bugzilla, I need to install certain perl modules using ppm command. Can I also do so using XAMPP?
Posts: 1
Joined: 03. October 2009 07:03

Re: Do i need to install ActiveState Perl?

Postby Nobbie » 03. October 2009 11:10

The perl.exe in Xampp is only a "Mini-Perl" installation (which lacks lots of features).

You should install ActivePerl.

P.S.: "ppm" (Perl Packet Manager) comes with ActivePerl.
Posts: 8637
Joined: 09. March 2008 13:04

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 66 guests